Extended Chen-Poisson Lifetime Distribution
================
2024-08-28

<!-- badges: start -->

[![R-CMD-check](https://github.com/abreu-uma/ecpdist/actions/workflows/R-CMD-check.yaml/badge.svg)](https://github.com/abreu-uma/ecpdist/actions/workflows/R-CMD-check.yaml)
<!-- badges: end -->

# ecpdist

`ecpdist` is a package that computes the values of the cumulative
distribution, survival, density, hazard, cumulative hazard and quantile
functions of the Extended Chen-Poisson Lifetime Distribution. The
corresponding graphics are now available. Functions to obtain measures
of skewness and kurtosis, k-th raw moments, conditional k-th moments and
mean residual life function were added. Some more functions can appear
soon!

## Installation

### Development version from GitHub

To install the development version from
[GitHub](https://github.com/abreu-uma/ecpdist), run:

``` r
# If you haven't already installed devtools, you may need to install it first:
install.packages("devtools")

devtools::install_github("abreu-uma/ecpdist")
```

### From CRAN (aspirational, after acceptance)

You can install the released version of `ecpdist` from
[CRAN](https://CRAN.R-project.org) with:

``` r
install.packages("ecpdist")
```

## References

Sousa-Ferreira, I., Abreu, A.M. & Rocha, C. (2023). The Extended
Chen-Poisson Lifetime Distribution. REVSTAT – Statistical Journal,
21(2), 173-196. <https://doi.org/10.57805/revstat.v21i2.405>

## Contact information

<abreu@staff.uma.pt>
